> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Restore responses previously cleaned

> # Description

Restores the responses previously cleaned by the cleaning system.

# Body

```json
{
   "data": {
      "projectId": string
   }
}
```

where:

- `projectId`: The id of the project. **Required**. 

# Response

## 204 No Content

> Empty Response

## 400 Bad Request

> ProjectId is missing.

## 401 Unauthorized

> The user doesn't have permissions.

## 500 Internal Server Error

> Error occurred while processing the request or there are no responses to restore.

# Description

Restores the responses previously cleaned by the cleaning system.

# Body

```json theme={null}
{
   "data": {
      "projectId": string
   }
}
```

where:

* `projectId`: The id of the project. **Required**.

# Response

## 204 No Content

> Empty Response

## 400 Bad Request

> ProjectId is missing.

## 401 Unauthorized

> The user doesn't have permissions.

## 500 Internal Server Error

> Error occurred while processing the request or there are no responses to restore.


## OpenAPI

````yaml POST /responses-capture-service/v1/responses/restoreResponsesData
openapi: 3.0.3
info:
  title: SightX API
  version: 1.0.0
  description: >-
    SightX REST API documentation. Most responses are JSON; some export
    endpoints return files. API access is a paid add-on — contact
    sales@sightx.io for details.
servers:
  - url: https://auth.admin.sightx.io
    description: Authentication (Production)
  - url: https://auth.staging-admin.sightx.io
    description: Authentication (Staging)
security:
  - AuthorizationHeader: []
paths:
  /responses-capture-service/v1/responses/restoreResponsesData:
    post:
      summary: Restore responses previously cleaned
      description: >-
        # Description


        Restores the responses previously cleaned by the cleaning system.


        # Body


        ```json

        {
           "data": {
              "projectId": string
           }
        }

        ```


        where:


        - `projectId`: The id of the project. **Required**. 


        # Response


        ## 204 No Content


        > Empty Response


        ## 400 Bad Request


        > ProjectId is missing.


        ## 401 Unauthorized


        > The user doesn't have permissions.


        ## 500 Internal Server Error


        > Error occurred while processing the request or there are no responses
        to restore.
      operationId: >-
        restore-responses-previously-cleaned-post-responses-capture-service-v1-responses-restoreresponsesdata
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Authorization token
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
            example:
              data:
                projectId: '{{projectId}}'
      responses:
        '200':
          description: Successful response
        '204':
          description: Restore responses previously cleaned
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      servers:
        - url: https://responses.sightx.io
components:
  securitySchemes:
    AuthorizationHeader:
      type: apiKey
      in: header
      name: Authorization
      description: Access token obtained from the m2m-token endpoint.

````